[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.Seek

Set stream position.

## Declaration

Source position: objects.pp line 291

`procedure TStream.Seek(`
`Pos: LongInt`
`); virtual;`

## Description

Seek sets the position to Pos. This position is counted from the beginning, and is zero based. (i.e. seeek(0) sets the position pointer on the first byte of the stream)

For an example, see TDosStream.Seek.

## Errors

If Pos is larger than the stream size, Status is set to StSeekError.

## See also

TStream.GetPos |  | Return current position in the stream
TStream.GetSize |  | Return the size of the stream.

Documentation generated on: Feb 26 2014